# Interface ISubscription

## Index

### Properties

- frequency
- id
- name
- type
- typeConfig
- user

## Properties

### Optional frequency

frequency: string

Inherited from ISubscriptionRequest.frequency

- Defined in rest/Subscription.ts :69

### id

id: string

- Defined in rest/Subscription.ts :30

### name

name: string

Inherited from ISubscriptionRequest.name

- Defined in rest/Subscription.ts :73

### type

type: string

Inherited from ISubscriptionRequest.type

- Defined in rest/Subscription.ts :61

### typeConfig

typeConfig: ISubscriptionQueryRequest | ISubscriptionItemRequest

Inherited from ISubscriptionRequest.typeConfig

- Defined in rest/Subscription.ts :65

### user

user: ISubscriptionUser

- Defined in rest/Subscription.ts :35

### Hierarchy

- ISubscriptionRequest